> ## Documentation Index
> Fetch the complete documentation index at: https://developers.luccasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a fixed item

> Replace the data of a fixed item. Its nature cannot change, and its work contract can only change for another contract of the same employee.



## OpenAPI

````yaml /openapi-specs/pagga-remuneration.yaml put /remuneration/api/fixed-items/{id}
openapi: 3.1.0
info:
  title: Lucca-Compensation
  version: '1.0'
  description: >-
    Welcome on the documentation for the Lucca Compensation API.


    Lucca Compensation is an online compensation management service that offers
    a complete picture of compensation structure (basic salary, variable
    compensation item, ...). 
  contact:
    name: API Support
    url: https://www.luccasoftware.com
    email: no-reply@luccasoftware.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: fixed-nature
    description: Represents a type of remuneration that is fixed, i.e. does not vary.
  - name: fixed-nature-category
    description: Represents a category of fixed-nature.
  - name: variable-nature
    description: Represents a type of remuneration that varies.
  - name: variable-nature-category
    description: Represents a category of variable-natures.
  - name: RemunerationNatures
    description: Types of remuneration.
  - name: variable-item
    description: Represents a remuneration item of type "variable-nature".
  - name: fixed-item
    description: Represents a remuneration item of type "fixed-nature".
paths:
  /remuneration/api/fixed-items/{id}:
    parameters:
      - $ref: '#/components/parameters/Authorization'
      - name: id
        in: path
        description: Unique identifier of the fixed item.
        required: true
        schema:
          type: integer
          format: int32
    put:
      tags:
        - fixed-item
      summary: Update a fixed item
      description: >-
        Replace the data of a fixed item. Its nature cannot change, and its work
        contract can only change for another contract of the same employee.
      operationId: UpdateFixedItem
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FixedItemPayload'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FixedItem'
        '400':
          description: Bad Request
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: Not Found
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '409':
          description: >-
            Conflict - the period overlaps another fixed item of the same nature
            on the same work contract.
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
  schemas:
    FixedItemPayload:
      type: object
      required:
        - amount
        - natureId
        - workContractId
        - amendmentId
        - periodStart
      properties:
        amount:
          type: number
          description: >-
            The amount of the fixed item, in the currency of the work contract's
            establishment for a monetary nature, a quantity otherwise.
          format: double
          example: 3000
        natureId:
          type: integer
          description: >-
            Unique identifier of the fixed nature; it cannot change once the
            item exists.
          format: int32
          example: 1
        workContractId:
          type: integer
          description: Unique identifier of the employee's work contract.
          format: int32
          example: 1481
        amendmentId:
          type: integer
          description: >-
            Identifier of the work contract amendment; `0` for the original
            contract.
          format: int32
          example: 0
        comment:
          maxLength: 140
          type:
            - string
            - 'null'
          description: >-
            A free comment explaining or justifying the fixed item, 140
            characters at most.
          example: Annual salary review
        periodStart:
          type: string
          description: >-
            The first day on which the fixed item applies, returned as
            `startsOn`.
          format: date
          example: '2026-01-01'
        periodEnd:
          type:
            - string
            - 'null'
          description: >-
            The last day on which the fixed item applies, returned as `endsOn`;
            omit it for an open-ended item.
          format: date
          example: '2026-12-31'
      additionalProperties: false
    FixedItem:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier of the fixed remuneration item
          format: int32
        amount:
          type: number
          description: "The amount of the fixed remuneration item.\r\nDepending on the nature of the fixed item, the amount can be either a quantity or a monetary value."
          format: double
        startsOn:
          type: string
          description: The first day on which the fixed remuneration item applies.
          format: date
        endsOn:
          type:
            - string
            - 'null'
          description: The last day on which the fixed remuneration item applies.
          format: date
        comment:
          type:
            - string
            - 'null'
          description: You can attach a comment to explain or justify the fixed item
          example: First-half salary increase
        natureId:
          type: integer
          description: The nature id of the fixed remuneration item
          format: int32
        nature:
          allOf:
            - $ref: '#/components/schemas/FixedNature'
          description: The nature of the fixed remuneration item
        workContractId:
          type: integer
          description: A fixed item must be linked to a work contract.
          format: int32
        workContract:
          allOf:
            - $ref: '#/components/schemas/AmendedWorkContract'
          description: The work contract linked to the fixed item.
      additionalProperties: false
      description: A fixed remuneration item
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - string
            - 'null'
        title:
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
          format: int32
        detail:
          type:
            - string
            - 'null'
        instance:
          type:
            - string
            - 'null'
      additionalProperties: {}
    FixedNature:
      type: object
      properties:
        id:
          type: integer
          description: An unique identifier for the fixed nature
          format: int32
        name:
          maxLength: 50
          minLength: 1
          type: string
          description: The display name
          example: Basic salary
        category:
          anyOf:
            - $ref: '#/components/schemas/FixedNatureCategory'
              description: Fixed nature category
            - type: 'null'
        establishments:
          description: Establishments linked to the fixed nature
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Establishment'
      additionalProperties: false
      description: Fixed nature
    AmendedWorkContract:
      type: object
      properties:
        workContractId:
          type: integer
          description: "An amended work contract is defined both by the work contract and the amendment\r\nThis is the identifier of the work contract part"
          format: int32
        amendmentId:
          type: integer
          description: "An amended work contract is defined both by the work contract and the amendment\r\nThis is the identifier of the amendment part"
          format: int32
        ownerId:
          type: integer
          description: The identifier of the employee who owns the contract
          format: int32
        owner:
          $ref: '#/components/schemas/AmendedWorkContractOwner'
          description: The employee who owns the work contract
        startsOn:
          type: string
          description: Start date of the contract
          format: date
        endsOn:
          type:
            - string
            - 'null'
          description: End date of the contract
          format: date
      additionalProperties: false
    FixedNatureCategory:
      type: object
      properties:
        id:
          type: integer
          description: An unique identifier for the fixed nature category
          format: int32
        code:
          type:
            - string
            - 'null'
          description: An internal unique code identifying the category
          example: BASIC_SALARY
      additionalProperties: false
      description: Fixed nature category
    Establishment:
      type: object
      properties:
        id:
          type: integer
          description: An unique identifier for the establishment
          format: int32
        name:
          type: string
          description: The display name
          example: Lucca FR
        currencyCode:
          type: string
          description: Currency code used in this establishment
          example: EUR
        currencySymbol:
          type: string
          description: Currency symbol used in this establishment
          example: €
      additionalProperties: false
    AmendedWorkContractOwner:
      required:
        - department
        - displayName
        - firstName
        - id
        - lastName
        - login
        - name
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier of the user
          format: int32
        firstName:
          type: string
          description: First name of the user
        lastName:
          type: string
          description: Last name of the user
        name:
          type: string
          description: Full name of the user
        displayName:
          type: string
          description: Display name of the user

````

## Related topics

- [List fixed items](https://developers.luccasoftware.com/api-reference/legacy/pagga-remuneration/fixed-items/list-fixed-items.md)
- [Create a fixed item](https://developers.luccasoftware.com/api-reference/legacy/pagga-remuneration/fixed-items/create-fixed-item.md)
- [Delete a fixed item](https://developers.luccasoftware.com/api-reference/legacy/pagga-remuneration/fixed-items/delete-fixed-item.md)
- [The fixed-item resource](https://developers.luccasoftware.com/api-reference/legacy/pagga-remuneration/fixed-items/fixed-item.md)
- [Update a variable-item](https://developers.luccasoftware.com/api-reference/legacy/pagga-remuneration/variable-items/update-variable-item.md)
